Doomsday Engine - Bug #1981

Alerts can be opened in Busy mode, causing occasional visual artifacts
2015-02-18 11:54 - vermil

Status: New Start date: 2015-02-18
Priority: Normal % Done: 0%
Assignee:

Category: Defect

Target version: Input and game controllers

Description

If for some reason, Dday doesn't claim the mouse when it becomes the focus (something that happens sometimes unfortunately),
one can click on the alert, update notifications during Busy Mode; in which case, they turn to garbage during screen wipes.

Given that all other input is disabled during busy mode, this seems like an oversight.

History

#1 - 2017-04-03 13:59 - skyjake
- Tags set to Ul
- Category set to Defect

- Target version set to Input and game controllers

Ultimately, busy mode will be reshaped to be a series of background tasks, which will allow the Ul thread to run interactively at all times.

#2 - 2017-04-03 13:59 - skyjake

- Subject changed from Alerts can be opened in Busy mode to Alerts can be opened in Busy mode, causing occasional visual artifacts
